package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag290;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT290Creator;

import java.math.BigDecimal;

public class Tag32aCreator extends AbsTagCreate {
    private MT290Creator mt290Creator;

    public Tag32aCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt290Creator = (MT290Creator) absMTCreator;
    }

    @Override
    public void creator() {

            handlerCurAmtCreator(mt290Creator,"valueDateCurrencyCodeAmount");
        }
}
